Skip to content
Pile
Esc
navigateopen⌘Jpreview

Update project milestone

PATCH/workspaces/{organizationId}/projects/{projectId}/milestones/{id}
Path parameters
organizationIdstringrequired
projectIdstringrequired
idstringrequired
Request body
application/json
namestring
min length 1
descriptionstring
targetDatestring
completedAtstring
Responses
200Project milestone updated
idstringrequired
organizationIdstringrequired
projectIdstringrequired
namestringrequired
descriptionstring | nullrequired
targetDatestring | nullrequired
completedAtstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X PATCH "/workspaces/string/projects/string/milestones/string" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "description": "string",
  "targetDate": "string",
  "completedAt": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "projectId": "string",
  "name": "string",
  "description": "string",
  "targetDate": "string",
  "completedAt": "string",
  "createdAt": "string",
  "updatedAt": "string"
}